# Avancerede amaroK-funktioner

## Genvejstaster

&amarok; bruger tastaturgenveje ligesom de fleste andre programmer. Nedenfor er der en liste af disse genveje og deres respektive handlinger. De globale genveje kan indstilles ved at højreklikke i afspillervinduet og vælge Indstil globale genveje... &amarok;'s genveje kan indstilles ved at højreklikke i afspillerevinduet og vælge Indstil genveje...

Du kan knytte dine multimedie-taster til at virke som genveje for &amarok; og derved gøre dit tastatur til et kontrolcenter for &amarok;.

De globale genveje er:

Tastekombination | Handling
--- | ---
WinX | Spil
WinC | Pause
WinV | Stop
WinB | Næste spor
WinZ | Forrige spor
WinKP_Add | Højere lydstyrke
WinKP_Subtract | Lavere lydstyrke
WinA | Tilføj medie
WinP | Slå spilleliste til og fra
WinO | Vis OSD

&amarok;'s genveje er:

Tastekombination | Handling
--- | ---
CtrlC | Kopiér
CtrlKP_Enter | Gå til nuværende
CtrlQ | Afslut
CtrlShiftZ | Annullér fortryd
CtrlS | Gem spilleliste
CtrlA | Markér alle
CtrlH | Bland
CtrlZ | Fortryd

Spilleliste-browserens genveje er:

Tastekombination | Handling
--- | ---
Mellemrum | Indlæs spilleliste
F2 | Omdøb spilleliste
Backspace | Fjern spilleliste

## DCOP-Grænsefladen

amaroK's DCOP-grænseflade giver dig en nem måde at kontrollere amaroK med dine hjemmelavede scripter.

DCOP-grænsefladen for amaroK har mange generiske funktioner der kan findes i andre af KDE's programmer. Dette afsnit er beregnet til at beskrive afspillerens DCOP-funktioner. Et eksempel på pause dcop-funktionen ville se sådan ud:

&percnt;dcop amarok player pause

DCOP-Funktion | Handling
--- | ---
album | album-funktionen giver albummet for det spor der afspilles lige nu.
artist | artist-funktionen giver kunstneren for det spor der afspilles lige nu.
bitrate | bitrate-funktionen giver bitraten for det spor der afspilles lige nu.
comment | comment-funktionen giver kommentaren for det spor der afspilles lige nu.
coverImage | coverImage-funktionen giver en URL til nuværende spors forsidebillede.
currentTime | currenTime-funktionen giver positionen (mm;ss) for det spor der afspilles lige nu.
encodedURL | encodedURL giver URL for nuværende spor med mellemrum indkodet.
genre | genre-funktionen giver genren for det spor der afspilles lige nu.
nowPlaying | Funktionen nowPlaying giver "Kunstner - Titel" på det spor der spiller for øjeblikket. Hvis et eller begge id3-mærker er tomme vil kun "Kunstner" eller "Titel" blive vist (uden "-").
title | title-funktionen giver titlen på det spor der spiller nu.
totalTime | totalTime-funktionen giver den totale tid (mm;ss) for det spor der afspilles lige nu.
spor | spor-funktionen giver spornummeret for det spor der afspilles lige nu.
year | year-funktionen giver året for det spor der afspilles lige nu.
isPlaying | isPlaying-funktionen giver en værdi der er sand eller falsk til at indikere om der spilles eller ej.
randomModeStatus | randomModeStatus-funktion giver status af Random Mode med en værdi af true eller false.
repeatPlaylistStatus | repeatPlaylistStatus-funktionen giver status af Repeat Playlist med en værdi af true eller false.
repeatTrackStatus | repeatTrackStatus-funktionen giver status af Repeat Track med en værdi af true eller false.
getVolume | getVolume-funktionen giver en værdi for lydstyrkens niveau angivet af en værdi 0-100.
sampleRate | sampleRate-funktion giver sampleraten for det nuværende spor.
scoring | scoringsfunktionen giver nuværende spors scoring.
status | status-funktionen giver en værdi for motorens status, 2 for at spille, 1 for at holde pause and 0 for tomgang.
trackCurrentTime | trackCurrentTime-funktionen giver en værdi der er den tid der er gået i nuværende spor målt i sekunder.
trackTotalTime | "trackTotalTime-funktionen giver en værdi der er det nuværende spors totale tid i sekunder.
addMedia | addMedia-funktionen bruges til at tilføje filer til spillelisten.
addMediaList | addMedia-funktionen bruges til at tilføje filer til spillelisten.
clearPlaylist | clearPlaylist-funktionen bruges til at rydde hele spillelisten.
configEqualizer | configEqualizer-funktionen hæver equalizerens indstillingsvindue.
enableOSD | enableOSD-funktionen tillader dig at slå On-Screen-Display til og fra med en sand eller falsk værdi.
enableRandomMode | enableRandomMode-funktionen bruges til at slå tilfældig tilstand til og fra med en værdi for 0 for deaktiveret, og 1 for aktiveret.
mute | mute-funktion tillader dig at gøre det spor der bliver afspillet stumt eller modsat.
next | next-funktionen får afspilleren til at gå et spor frem.
pause | pause-funktionen holder pause for det spor der afspilles lige nu.
spil | play-funktionen starter afspilleren derfra hvor den blev stoppet sidst.
playMedia | playMEDIA-funktionen starter afspilning af et spor angivet af dets KURL.
spil pause | playPause-funktionen starter afspilleren hvis den er standset eller holder pause. Denne funktion vil også få afspilleren til at holde pause hvis den spiller lige nu.
prev | prev-funktion flytter afspilleren et spor baglæns.
saveCurrentPlaylist | saveCurrentPlaylist-funktionen gemmer den nuværende spilleliste som ~/.kde/share/apps/amarok/current.xml.
scanCollection | scanCollection-funktionen udføre en manuel skanning af din samling.
seek | seek-funktionen bruges til at søge til et bestemt sted i et spor ved en værdi angivet i sekunder.
seekRelative | seekRelative-funktionen bruges til at søge til en position relativ til nuværende sporposition ved en værdi angivet i sekunder.
setEqualizerEnabled | setEqualizerEnabled-funktionen bruges til at aktivere equalizeren ved brug af true eller false værdi.
setVolume | setVolume-funktionen justerer lydstyrken til et niveau angivet af en værdi 0-100.
showOSD | showOSD-funktionen hæver OSD for at vise information om nuværende spor.
stop | stop-funktionen vil stoppe afspilleren hvis den spiller lige nu.
togglePlaylist | togglePlaylist-funktionen slår brug af spillelistens vindue til og fra.
volumeDown | volumeDown-funktionen justerer lydstyrken et skridt nedad.
volumeUp | volumeUp-funktionen justerer lydstyrken et skridt opad.

## Kommandolinje-tilvalg

amaroK understøtter brugen Qt's og kde's standard kommandolinjeflag. amaroK har også sine egne programspecifikke flag.

Qt og kde flag:

Tilvalg | Handling
--- | ---
--help | Vis hjælp om flag.
--help-qt | Vis Qt-specifikke flag.
--help-kde | Vis KDE-specifikke flag.
--help-all | is alle flag.
--author | Vis udviklerinformation.
-v, --version | Vis versionsinformation.
--license | Vis licensinformation.

amaroK-tilvalg:

amarok's flag er designet til at blive brugt mens amaroK kører.

Tilvalg | Handling
--- | ---
-r, --previous | Spring over forrige spor på spillelisten.
-p, --play | Start med af spille den nuværende spilleliste.
-s, --stop | Stop afspilning.
--pause | Hold pause i afspilning.
-f, --next | Spring over det næste spor på spillelisten.
-a, --append | Vedlæg filer/URL'er i spillelisten.
-e, --enqueue | Se append, tilgængelig for bagudkompatibilitet.
--queue | Sætter filer/URL'er i kø efter det spor der afspilles nu.
-m, --toggle-playlist-window | Slå spillelistens vindue til og fra.
--wizard | Start førstekørselsguide.
--engine "navn" | Start &amarok; med "navn"-motoren.